*This code deletes variables that could compromise the identity of those interviewed
*This code also saves all files, even unaltered files, as v1.2
*This code saves the files in STATA version 7
global d04 "Z:\private\KIDS_data"

version 7 

use $d04\KIDS_v1.2_Feb2006\cover.dta, clear
saveold $d04\KIDS_v1.3_March2006\cover.dta, replace

use $d04\KIDS_v1.2_Feb2006\hhcard.dta, clear
saveold $d04\KIDS_v1.3_March2006\hhcard.dta, replace

use $d04\KIDS_v1.2_Feb2006\roster2004.dta, clear
*Dropping other/detail variables
drop qual_o activito spouse_o father_o mother_o
saveold $d04\KIDS_v1.3_March2006\roster2004.dta, replace

use $d04\KIDS_v1.2_Feb2006\section1_3.dta, clear
*Dropping other/detail variables
drop nocons_o
saveold $d04\KIDS_v1.3_March2006\section1_3.dta, replace

use $d04\KIDS_v1.2_Feb2006\section1_4.dta, clear
saveold $d04\KIDS_v1.3_March2006\section1_4.dta, replace

use $d04\KIDS_v1.2_Feb2006\section1_6.dta, clear
saveold $d04\KIDS_v1.3_March2006\section1_6.dta, replace

use $d04\KIDS_v1.2_Feb2006\section2.dta, clear
*Dropping other/detail variables
drop dwel_o
saveold $d04\KIDS_v1.3_March2006\section2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section3.dta, clear
saveold $d04\KIDS_v1.3_March2006\section3.dta, replace

use $d04\KIDS_v1.2_Feb2006\section4_1.dta, clear
saveold $d04\KIDS_v1.3_March2006\section4_1.dta, replace

use $d04\KIDS_v1.2_Feb2006\section4_2.dta, clear
saveold $d04\KIDS_v1.3_March2006\section4_2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section4_3.dta, clear
saveold $d04\KIDS_v1.3_March2006\section4_3.dta, replace

use $d04\KIDS_v1.2_Feb2006\section4_4.dta, clear
*Dropping other/detail variable
drop lender_o
saveold $d04\KIDS_v1.3_March2006\section4_4.dta, replace

use $d04\KIDS_v1.2_Feb2006\section4_5.dta, clear
*Dropping other/detail variable
drop asset_o
saveold $d04\KIDS_v1.3_March2006\section4_5.dta, replace

use $d04\KIDS_v1.1_Feb2006\section5_1.dta, clear
saveold $d04\KIDS_v1.3_March2006\section5_1.dta, replace

use $d04\KIDS_v1.2_Feb2006\section5_2.dta, clear
saveold $d04\KIDS_v1.3_March2006\section5_2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section6.dta, clear
*Dropping other/detail variable
drop source_o
saveold $d04\KIDS_v1.3_March2006\section6.dta, replace

use $d04\KIDS_v1.2_Feb2006\section7_1.dta, clear
*Dropping other/detail variable
drop shock_o
saveold $d04\KIDS_v1.3_March2006\section7_1.dta, replace

use $d04\KIDS_v1.2_Feb2006\section7_2.dta, clear
*Dropping other/detail variable
drop shock_o
saveold $d04\KIDS_v1.3_March2006\section7_2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_1_1.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_1_1.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_1_2.dta, clear
*Dropping other/detail variable
drop unit_o access_o
saveold $d04\KIDS_v1.3_March2006\section8_1_2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_1_3.dta, clear
*Dropping other/detail variable
drop crop_o unit_o
saveold $d04\KIDS_v1.3_March2006\section8_1_3.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_1_4a.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_1_4a.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_1_4b.dta, clear
*Dropping other/detail variable
drop input_o
saveold $d04\KIDS_v1.3_March2006\section8_1_4b.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_1_4linear.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_1_4linear.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_2_1.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_2_1.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_2_2.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_2_2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_2_3.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_2_3.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_3.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_3.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_4.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_4.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_5.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_5.dta, replace

use $d04\KIDS_v1.2_Feb2006\section8_6.dta, clear
saveold $d04\KIDS_v1.3_March2006\section8_6.dta, replace

use $d04\KIDS_v1.2_Feb2006\section9_1.dta, clear
*Dropping other/detail variable
drop reason_o
saveold $d04\KIDS_v1.3_March2006\section9_1.dta, replace

use $d04\KIDS_v1.2_Feb2006\section9_2.dta, clear
*Dropping other/detail variables
drop k_emplyo k_sectoro k_occ_c
saveold $d04\KIDS_v1.3_March2006\section9_2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section9_3.dta, clear
saveold $d04\KIDS_v1.3_March2006\section9_3.dta, replace

use $d04\KIDS_v1.2_Feb2006\section9_4.dta, clear
*Dropping other/detail variable
drop busineso
saveold $d04\KIDS_v1.3_March2006\section9_4.dta, replace

use $d04\KIDS_v1.2_Feb2006\section9_5.dta, clear
saveold $d04\KIDS_v1.3_March2006\section9_5.dta, replace

use $d04\KIDS_v1.2_Feb2006\section9_6a.dta, clear
*Dropping other/detail variable
drop educ_jobo
saveold $d04\KIDS_v1.3_March2006\section9_6a.dta, replace

use $d04\KIDS_v1.2_Feb2006\section10_1.dta, clear
*Dropping other/detail variable
drop nocons2o
saveold $d04\KIDS_v1.3_March2006\section10_1.dta, replace

use $d04\KIDS_v1.2_Feb2006\section10_2.dta, clear
saveold $d04\KIDS_v1.3_March2006\section10_2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section10_3.dta, clear
saveold $d04\KIDS_v1.3_March2006\section10_3.dta, replace

use $d04\KIDS_v1.2_Feb2006\section11_1.dta, clear
saveold $d04\KIDS_v1.3_March2006\section11_1.dta, replace 

use $d04\KIDS_v1.2_Feb2006\section11_2_1.dta, clear
saveold $d04\KIDS_v1.3_March2006\section11_2_1.dta, replace 

use $d04\KIDS_v1.2_Feb2006\section11_2_2.dta, clear
*Dropping identifiers
drop name
saveold $d04\KIDS_v1.3_March2006\section11_2_2.dta, replace 

use $d04\KIDS_v1.2_Feb2006\section11_3a.dta, clear
*Dropping other/detail variable
drop group_o
saveold $d04\KIDS_v1.3_March2006\section11_3a.dta, replace 

use $d04\KIDS_v1.2_Feb2006\section11_3b.dta, clear
*Dropping other/detail variable
drop church_cdo
saveold $d04\KIDS_v1.3_March2006\section11_3b.dta, replace

use $d04\KIDS_v1.2_Feb2006\section12_1.dta, clear
*Dropping identifiers
drop wlfnme wlfcode
*Dropping other/detail variable
drop nocsg_o nocsgapp_o
saveold $d04\KIDS_v1.3_March2006\section12_1.dta, replace  

use $d04\KIDS_v1.2_Feb2006\section13_1.dta, clear
saveold $d04\KIDS_v1.3_March2006\section13_1.dta, replace

use $d04\KIDS_v1.2_Feb2006\section13_2.dta, clear
*Dropping other/detail variable
drop source_o
saveold $d04\KIDS_v1.3_March2006\section13_2.dta, replace

use $d04\KIDS_v1.2_Feb2006\section13_3.dta, clear
saveold $d04\KIDS_v1.3_March2006\section13_3.dta, replace

use $d04\KIDS_v1.1_Feb2006\section12_2_revised_emis.dta, clear
*Dropping identifiers
drop schlname town emisno
*Dropping other/detail variable
drop nenroll_o absreas_o absreas2_o
saveold $d04\KIDS_v1.3_March2006\section12_2.dta, replace

